=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-06-26 06:25:57 +0000
+++ drizzled/Makefile.am	2009-07-04 01:49:47 +0000
@@ -74,7 +74,6 @@
 		function/additive_op.h \
 		function/ascii.h \
 		function/benchmark.h \
-		function/char_length.h \
 		function/coercibility.h \
 		function/connection_id.h \
 		function/create.h \
@@ -407,7 +406,6 @@
 		function/ascii.cc \
 		function/additive_op.cc \
 		function/benchmark.cc \
-		function/char_length.cc \
 		function/check_reserved_words.cc \
 		function/connection_id.cc \
 		function/coercibility.cc \

=== removed file 'drizzled/function/char_length.cc'
--- drizzled/function/char_length.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/char_length.cc	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <drizzled/function/char_length.h>
-
-int64_t Item_func_char_length::val_int()
-{
-  assert(fixed == 1);
-  String *res=args[0]->val_str(&value);
-  if (!res)
-  {
-    null_value=1;
-    return 0; /* purecov: inspected */
-  }
-  null_value=0;
-  return (int64_t) res->numchars();
-}
-

=== removed file 'drizzled/function/char_length.h'
--- drizzled/function/char_length.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/char_length.h	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_CHAR_LENGTH_H
-#define DRIZZLED_FUNCTION_CHAR_LENGTH_H
-
-#include <drizzled/function/func.h>
-#include <drizzled/function/math/int.h>
-
-class Item_func_char_length :public Item_int_func
-{
-  String value;
-public:
-  Item_func_char_length(Item *a) :Item_int_func(a) {}
-  int64_t val_int();
-  const char *func_name() const { return "char_length"; }
-  void fix_length_and_dec() { max_length=10; }
-};
-
-#endif /* DRIZZLED_FUNCTION_CHAR_LENGTH_H */

=== added directory 'plugin/charlength'
=== added file 'plugin/charlength/charlength.cc'
--- plugin/charlength/charlength.cc	1970-01-01 00:00:00 +0000
+++ plugin/charlength/charlength.cc	2009-07-04 01:49:47 +0000
@@ -0,0 +1,90 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include <drizzled/function/func.h>
+#include <drizzled/function/math/int.h>
+
+class CharLengthFunction :public Item_int_func
+{
+  String value;
+public:
+  int64_t val_int();
+  CharLengthFunction() :Item_int_func() {}
+  
+  const char *func_name() const 
+  { 
+    return "char_length"; 
+  }
+
+  void fix_length_and_dec() 
+  { 
+    max_length= 10;  // why 10? 
+  }
+
+  bool check_argument_count(int n)
+  {
+    return (n==1);
+  }
+};
+
+
+int64_t CharLengthFunction::val_int()
+{
+  assert(fixed == 1);
+  String *res=args[0]->val_str(&value);
+  
+  if (res == false)
+  {
+    null_value= 1;
+    return 0; /* purecov: inspected */
+  }
+  
+  null_value= 0;
+  return (int64_t) res->numchars();
+}
+
+Create_function<CharLengthFunction> charlengthudf(string("charlength"));
+
+static int initialize(PluginRegistry &registry)
+{
+  registry.add(&charlengthudf);
+  return 0;
+}
+
+static int finalize(PluginRegistry &registry)
+{
+   registry.remove(&charlengthudf);
+   return 0;
+}
+
+drizzle_declare_plugin(charlength)
+{
+  "charlength",
+  "1.0",
+  "Devananda van der Veen",
+  "Return the number of characters in a string",
+  PLUGIN_LICENSE_GPL,
+  initialize, /* Plugin Init */
+  finalize,   /* Plugin Deinit */
+  NULL,   /* status variables */
+  NULL,   /* system variables */
+  NULL    /* config options */
+}
+drizzle_declare_plugin_end;

=== added file 'plugin/charlength/plugin.ini'
--- plugin/charlength/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/charlength/plugin.ini	2009-07-04 01:49:47 +0000
@@ -0,0 +1,5 @@
+[plugin]
+name=charlength
+title=UDF Plugin for CharLength
+description=UDF Plugin for returning number of characters in a string
+load_by_default=yes

